Last Comment Bug 753135 - Add AddressSanitizer mozconfig files to the tree
: Add AddressSanitizer mozconfig files to the tree
Status: RESOLVED FIXED
[sg:want][asan-build-blocker]
: sec-want
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All Linux
: -- normal (vote)
: mozilla15
Assigned To: Christian Holler (:decoder)
:
: Gregory Szorc [:gps]
Mentors:
Depends on: 753969
Blocks: 664901
  Show dependency treegraph
 
Reported: 2012-05-08 15:00 PDT by Christian Holler (:decoder)
Modified: 2016-09-20 03:12 PDT (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (3.75 KB, patch)
2012-05-08 15:00 PDT, Christian Holler (:decoder)
catlee: review+
Details | Diff | Splinter Review
Updated patch to use Clang symlink (3.71 KB, patch)
2012-05-11 08:44 PDT, Christian Holler (:decoder)
choller: review+
gary: checkin+
Details | Diff | Splinter Review

Description Christian Holler (:decoder) 2012-05-08 15:00:44 PDT
Created attachment 622160 [details] [diff] [review]
Patch

In order to be able to request Firefox builds with AddressSanitizer support from RelEng, the configuration files need to be added to the tree. The attached patch adds a base configuration in build/unix/mozconfig.asan that can later also be reused for Mac OSX. Furthermore it adds four build specific configs:

browser/config/mozconfigs/linux32/debug-asan
browser/config/mozconfigs/linux64/debug-asan
browser/config/mozconfigs/linux32/nightly-asan
browser/config/mozconfigs/linux64/nightly-asan
Comment 1 Chris AtLee [:catlee] 2012-05-11 06:11:49 PDT
Comment on attachment 622160 [details] [diff] [review]
Patch

Review of attachment 622160 [details] [diff] [review]:
-----------------------------------------------------------------

::: build/unix/mozconfig.asan
@@ +1,3 @@
> +# Use Clang r155417
> +export CC="/tools/clang-3.0-r155417.moz0/bin/clang -fgnu89-inline"
> +export CXX="/tools/clang-3.0-r155417.moz0/bin/clang++"

my only concern is with these lines here. they'll have to change every time we bump the clang version that's installed. Set these to /tools/clang-3.0 and we'll be good to go once bug 753969 is done.
Comment 2 Christian Holler (:decoder) 2012-05-11 08:44:08 PDT
Created attachment 623161 [details] [diff] [review]
Updated patch to use Clang symlink

Updated patch with Clang symlink as requested. Carrying r+ from last review. I'd like to land this as soon as the name of the symlink "/tools/clang-3.0" is fixed, even if it does not yet exist. The reason is that others who want to create try builds now, can use these configs easily by substituting the paths and copying the config over the regular linux build configs. I'd also like to point to these configs in the MDN article to make it easier.
Comment 3 Christian Holler (:decoder) 2012-05-15 14:57:29 PDT
Comment on attachment 623161 [details] [diff] [review]
Updated patch to use Clang symlink

Landing this now and will change it later if the symlink turns out to be wrong :)
Comment 4 Gary Kwong [:gkw] [:nth10sd] 2012-05-15 15:26:08 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/0ad870ffec61
Comment 5 Ed Morley [:emorley] 2012-05-16 03:33:37 PDT
https://hg.mozilla.org/mozilla-central/rev/0ad870ffec61
Comment 6 Armen Zambrano [:armenzg] (EDT/UTC-4) 2016-09-19 07:39:36 PDT
Anyone know why the Asan builds have -disable-crashreporter?
Comment 7 Christian Holler (:decoder) 2016-09-20 03:12:12 PDT
(In reply to Armen Zambrano [:armenzg] (EDT/UTC-4) from comment #6)
> Anyone know why the Asan builds have -disable-crashreporter?

Crash reporter uses signal handlers that collide with ASan's signal handler. Also, using a crash reporter simply makes no sense when you use ASan, except if our crash reporter was able to deal with the way ASan reports failures.

Note You need to log in before you can comment on or make changes to this bug.